package plymouth 0.8.8-0ubuntu17.1 failed to install/upgrade: trying to overwrite '/usr/share/apport/package-hooks/source_plymouth.py', which is also in package libplymouth2:amd64 0.8.8-0ubuntu17.1

Bug #1531070 reported by LukeKendall on 2016-01-05
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Critical
Didier Roche

Bug Description

First, I tried to install gnome-inform7_6L38-0ubuntu1_i386.deb via dpkg.
That reported:

Selecting previously unselected package gnome-inform7.
(Reading database ... 1202020 files and directories currently installed.)
Preparing to unpack .../gnome-inform7_6L38-0ubuntu1_i386.deb ...
Unpacking gnome-inform7 (6L38-0ubuntu1) ...
dpkg: dependency problems prevent configuration of gnome-inform7:
 gnome-inform7 depends on libgoocanvas3 (>= 0.15).
 gnome-inform7 depends on libgtksourceview2.0-0 (>= 2.10.0).
 gnome-inform7 depends on libgtkspell0 (>= 2.0.10).
 gnome-inform7 depends on libjavascriptcoregtk-1.0-0 (>= 1.5.1).
 gnome-inform7 depends on libwebkitgtk-1.0-0 (>= 1.3.10).
 gnome-inform7 depends on dconf-gsettings-backend | gsettings-backend.

dpkg: error processing package gnome-inform7 (--install):
 dependency problems - leaving unconfigured
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.40.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.40.2-0ubuntu1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for hicolor-icon-theme (0.13-1) ...
Errors were encountered while processing:
 gnome-inform7

So then I simply ran synaptic to mark all packages needing update, and applied changes.

That worked for a while, but reported a broken package (plymouth), which it couldn't seem to repair. So at that point I switched to the command line. I did an apt-get update, followed by an apt-get check, which reported:

# apt-get check
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 account-plugin-aim : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                      Depends: mcp-account-manager-uoa but it is not installed
 account-plugin-jabber : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                         Depends: mcp-account-manager-uoa but it is not installed
 account-plugin-salut : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                        Depends: mcp-account-manager-uoa but it is not installed
 inkscape : Depends: libglibmm-2.4-1c2a (>= 2.36.2) but it is not installed
            Depends: libpangomm-1.4-1 (>= 2.27.1) but it is not installed
            Depends: libsigc++-2.0-0c2a (>= 2.0.2) but it is not installed
            Recommends: perlmagick
 libatkmm-1.6-1 : Depends: libglibmm-2.4-1c2a (>= 2.36.2) but it is not installed
                  Depends: libsigc++-2.0-0c2a (>= 2.0.2) but it is not installed
 libbaloofiles4 : Depends: libxapian22 but it is not installed
 libbalooxapian4 : Depends: libxapian22 but it is not installed
 libc-bin : Depends: libc6 (< 2.20) but 2.21-0ubuntu5 is installed
 libc-dev-bin : Depends: libc6 (< 2.20) but 2.21-0ubuntu5 is installed
 libc6-dbg : Depends: libc6 (= 2.19-0ubuntu6.6) but 2.21-0ubuntu5 is installed
 libc6-dev : Depends: libc6 (= 2.19-0ubuntu6.6) but 2.21-0ubuntu5 is installed
 libc6-i386 : Depends: libc6 (= 2.19-0ubuntu6.6) but 2.21-0ubuntu5 is installed
 libcairomm-1.0-1 : Depends: libsigc++-2.0-0c2a (>= 2.0.2) but it is not installed
 libdrm-dev : Depends: libdrm2 (= 2.4.60-2~ubuntu14.04.1) but 2.4.65-3 is installed
              Depends: libdrm-intel1 (= 2.4.60-2~ubuntu14.04.1) but 2.4.65-3 is installed
              Depends: libdrm-radeon1 (= 2.4.60-2~ubuntu14.04.1) but 2.4.65-3 is installed
              Depends: libdrm-nouveau2 (= 2.4.60-2~ubuntu14.04.1) but 2.4.65-3 is installed
 libegl1-mesa-drivers : Depends: libegl1-mesa (= 10.1.3-0ubuntu0.5)
                        Depends: libwayland-egl1-mesa (= 10.1.3-0ubuntu0.5)
 libgtkmm-2.4-1c2a : Depends: libglibmm-2.4-1c2a (>= 2.36.2) but it is not installed
                     Depends: libpangomm-1.4-1 (>= 2.27.1) but it is not installed
                     Depends: libsigc++-2.0-0c2a (>= 2.0.2) but it is not installed
 libplymouth4 : Breaks: plymouth (< 0.9.2-1~) but 0.8.8-0ubuntu17.1 is installed
 libproxy-tools : Depends: libproxy1 (>= 0.4.7) but it is not installed
 libproxy1-plugin-gsettings : Depends: libproxy1 (= 0.4.11-0ubuntu4) but it is not installed
 libproxy1-plugin-networkmanager : Depends: libproxy1 (= 0.4.11-0ubuntu4) but it is not installed
 libqapt2 : Depends: libxapian22 but it is not installed
 libtelepathy-farstream3 : Depends: libfarstream-0.2-2 (>= 0.1.91) but it is not installed
 libvncserver0 : Depends: libgnutls28 (>= 3.2.10-0) but it is not installed
 libx11-xcb-dev : Depends: libx11-xcb1 (= 2:1.6.2-1ubuntu2) but 2:1.6.3-1ubuntu2 is installed
 libxcb-dri2-0-dev : Depends: libxcb-dri2-0 (= 1.10-2ubuntu1) but 1.11.1-1ubuntu1 is installed
 libxcb-xfixes0-dev : Depends: libxcb-xfixes0 (= 1.10-2ubuntu1) but 1.11.1-1ubuntu1 is installed
 libxdamage-dev : Depends: libxdamage1 (= 1:1.1.4-1ubuntu1) but 1:1.1.4-2 is installed
 libxext-dev : Depends: libxext6 (= 2:1.3.2-1ubuntu0.0.14.04.1) but 2:1.3.3-1 is installed
 nautilus-sendto-empathy : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
 nfs-common : Depends: libdevmapper1.02.1 (>= 2:1.02.99) but 2:1.02.77-6ubuntu2 is installed
 plymouth-label : Depends: plymouth (= 0.9.2-3ubuntu8) but 0.8.8-0ubuntu17.1 is installed
 plymouth-theme-ubuntu-logo : Depends: plymouth (= 0.9.2-3ubuntu8) but 0.8.8-0ubuntu17.1 is installed
 plymouth-theme-ubuntu-text : Depends: plymouth (= 0.9.2-3ubuntu8) but 0.8.8-0ubuntu17.1 is installed
 python-xapian : Depends: libxapian22 (>= 1.2.16) but it is not installed
 signon-ui : Depends: libproxy1 (>= 0.4.7) but it is not installed
 signond : Depends: libproxy1 (>= 0.4.7) but it is not installed
 udev : Depends: libudev1 (= 204-5ubuntu20.15) but 228-2ubuntu2 is installed
 unity-webapps-qml : Depends: libqt5webkit5-qmlwebkitplugin but it is not installed
 vlc-nox : Depends: libgnutls28 (>= 3.2.10-0) but it is not installed
 zeitgeist-core : Depends: libxapian22 but it is not installed
E: Unmet dependencies. Try using -f.

So I did that:

# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  dconf-gsettings-backend:i386 gcc-4.8-base:i386 libcgmanager0:i386
  libdconf1:i386 libebook-1.2-16 libebook-contacts-1.2-2 libedata-book-1.2-25
  libedataserverui-1.2-1 libegl1-mesa:i386 libept1.4.12 libgbm1:i386
  libgdome2-0 libgeocode-glib0 libgles1-mesa libgom-1.0-0 libgom-1.0-common
  libgssglue1 libjasper1:i386 libllvm3.4:i386 libnih-dbus1:i386 libnih1:i386
  libprotobuf8 libquvi-scripts-0.9 libsdl-image1.2 libva-drm1 libva-x11-1
  libwayland-client0:i386 libwayland-server0:i386 libxcb-composite0
  libxcb-xfixes0:i386 libxcb-xv0 linux-headers-3.13.0-73
  linux-headers-3.13.0-73-generic linux-image-3.13.0-73-generic
  linux-image-extra-3.13.0-73-generic linux-signed-image-3.13.0-73-generic
  lua-bitop lua-expat lua-json lua-lpeg lua-socket workrave-data x11vnc-data
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  account-plugin-aim account-plugin-jabber account-plugin-salut
  account-plugin-yahoo cheese cheese-common empathy empathy-common
  evolution-data-server-common evolution-data-server-online-accounts
  folks-common gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-totem-1.0
  gstreamer1.0-clutter gstreamer1.0-clutter-3.0 gstreamer1.0-plugins-base
  gstreamer1.0-plugins-base:i386 imagemagick-common inkscape libatkmm-1.6-1v5
  libavahi-ui-gtk3-0 libc-bin libc-dev-bin libc6-dbg libc6-dev libc6-i386
  libcairomm-1.0-1v5 libcamel-1.2-54 libcdparanoia0:i386 libcdr-0.1-1v5
  libchamplain-0.12-0 libcheese-gtk25 libcheese8 libclutter-1.0-0
  libclutter-gst-2.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0
  libcogl-pango20 libcogl-path20 libcogl20 libdevmapper1.02.1 libdrm-dev
  libebackend-1.2-10 libebook-1.2-16 libebook-contacts-1.2-2
  libedata-book-1.2-25 libedataserver-1.2-21 libedataserverui-1.2-1
  libfolks-telepathy25 libfolks25 libgeocode-glib0 libgoa-1.0-0b
  libgoa-1.0-common libgoa-backend-1.0-1 libgomp1 libgrilo-0.2-1 libgsl2
  libgstreamer-plugins-base1.0-0 libgstreamer-plugins-base1.0-0:i386
  libgtkmm-2.4-1v5 libimage-magick-perl libimage-magick-q16-perl
  libmagick++-6.q16-5v5 libmagickcore-6.q16-2 libmagickwand-6.q16-2
  liborc-0.4-0 liborc-0.4-0:i386 libpangomm-1.4-1v5 libproxy1-plugin-gsettings
  libproxy1-plugin-networkmanager librevenge-0.0-0 libtelepathy-farstream3
  libtelepathy-glib0 libtheora0 libtheora0:i386 libtotem0 libvisio-0.1-1
  libvisual-0.4-0 libvisual-0.4-0:i386 libvncclient1 libwpd-0.10-10
  libwpg-0.3-3 libx11-xcb-dev libxcb-dri2-0-dev libxcb-xfixes0-dev
  libxdamage-dev libxext-dev mcp-account-manager-uoa plymouth python-xapian
  remmina remmina-common remmina-plugin-vnc signon-ui signon-ui-service
  signon-ui-x11 signond udev unity-webapps-qml zeitgeist-core
Suggested packages:
  gnome-video-effects-frei0r evolution gvfs:i386 dia | dia-gnome libsvg-perl
  libxml-xql-perl python-uniconvertor glibc-doc gsl-ref-psdoc | gsl-doc-pdf
  | gsl-doc-info | gsl-ref-html libvisual-0.4-plugins:i386 imagemagick-doc
  libmagickcore-6.q16-2-extra libxext-doc account-plugin-gadugadu
  account-plugin-groupwise account-plugin-icq account-plugin-irc
  account-plugin-mxit account-plugin-myspace account-plugin-sametime
  account-plugin-sip account-plugin-yahoojp account-plugin-zephyr desktop-base
  plymouth-themes xapian-doc qtdeclarative5-online-accounts-client0.1
  qtdeclarative5-ubuntu-content1 qtdeclarative5-ubuntu-download-manager0.1
Recommended packages:
  gnome-contacts dmsetup libfolks-eds25 ubuntu-control-center-signon
  remmina-plugin-rdp
The following packages will be REMOVED:
  evolution-data-server gnome-contacts kde-runtime ksnapshot
  kubuntu-debug-installer libatkmm-1.6-1 libbaloofiles4 libbalooxapian4
  libcairomm-1.0-1 libcheese-gtk23 libcheese7 libcogl-pango15 libcogl15
  libegl1-mesa-drivers libfolks-eds25 libgsl0ldbl libgtkmm-2.4-1c2a
  libkubuntu0 libproxy-tools libqapt2 libqapt2-runtime libvlc5 libvlccore8
  libvncserver0 nautilus-sendto-empathy nepomuk-core-runtime okular qapt-batch
  remmina-plugin-rdp totem totem-mozilla totem-plugins vlc-nox
  vlc-plugin-notify vlc-plugin-samba x11vnc
The following NEW packages will be installed:
  account-plugin-yahoo empathy gstreamer1.0-clutter-3.0
  gstreamer1.0-plugins-base:i386 libatkmm-1.6-1v5 libavahi-ui-gtk3-0
  libcairomm-1.0-1v5 libcamel-1.2-54 libcdparanoia0:i386 libcdr-0.1-1v5
  libcheese-gtk25 libcheese8 libclutter-gst-3.0-0 libcogl-pango20
  libcogl-path20 libcogl20 libebackend-1.2-10 libebook-1.2-16
  libebook-contacts-1.2-2 libedata-book-1.2-25 libedataserver-1.2-21
  libedataserverui-1.2-1 libgeocode-glib0 libgsl2 libgtkmm-2.4-1v5
  libimage-magick-perl libimage-magick-q16-perl libmagick++-6.q16-5v5
  libmagickcore-6.q16-2 libmagickwand-6.q16-2 libpangomm-1.4-1v5
  librevenge-0.0-0 libtheora0:i386 libvisio-0.1-1 libvisual-0.4-0:i386
  libvncclient1 libwpd-0.10-10 libwpg-0.3-3 mcp-account-manager-uoa
  signon-ui-service signon-ui-x11
The following packages will be upgraded:
  account-plugin-aim account-plugin-jabber account-plugin-salut cheese
  cheese-common empathy-common evolution-data-server-common
  evolution-data-server-online-accounts folks-common gir1.2-cogl-1.0
  gir1.2-coglpango-1.0 gir1.2-totem-1.0 gstreamer1.0-clutter
  gstreamer1.0-plugins-base imagemagick-common inkscape libc-bin libc-dev-bin
  libc6-dbg libc6-dev libc6-i386 libchamplain-0.12-0 libclutter-1.0-0
  libclutter-gst-2.0-0 libclutter-gtk-1.0-0 libdevmapper1.02.1 libdrm-dev
  libfolks-telepathy25 libfolks25 libgoa-1.0-0b libgoa-1.0-common
  libgoa-backend-1.0-1 libgomp1 libgrilo-0.2-1 libgstreamer-plugins-base1.0-0
  libgstreamer-plugins-base1.0-0:i386 liborc-0.4-0 liborc-0.4-0:i386
  libproxy1-plugin-gsettings libproxy1-plugin-networkmanager
  libtelepathy-farstream3 libtelepathy-glib0 libtheora0 libtotem0
  libvisual-0.4-0 libx11-xcb-dev libxcb-dri2-0-dev libxcb-xfixes0-dev
  libxdamage-dev libxext-dev plymouth python-xapian remmina remmina-common
  remmina-plugin-vnc signon-ui signond udev unity-webapps-qml zeitgeist-core
60 to upgrade, 41 to newly install, 36 to remove and 1480 not to upgrade.
5 not fully installed or removed.
Need to get 18.1 MB/38.7 MB of archives.
After this operation, 7,764 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://mirror.optus.net/ubuntu xenial/main amd64 inkscape amd64 0.91-6ubuntu5 [12.0 MB]
Get:2 http://mirror.optus.net/ubuntu xenial/main amd64 libatkmm-1.6-1v5 amd64 2.24.2-1 [61.7 kB]
Get:3 http://mirror.optus.net/ubuntu xenial/main amd64 libgtkmm-2.4-1v5 amd64 1:2.24.4-2 [671 kB]
Get:4 http://mirror.optus.net/ubuntu xenial/main amd64 cheese-common all 3.18.1-2ubuntu1 [774 kB]
Get:5 http://mirror.optus.net/ubuntu xenial/main amd64 cheese amd64 3.18.1-2ubuntu1 [89.1 kB]
Get:6 http://mirror.optus.net/ubuntu xenial/main amd64 gir1.2-totem-1.0 amd64 3.18.1-1ubuntu2 [5,160 B]
Get:7 http://mirror.optus.net/ubuntu xenial/main amd64 libtotem0 amd64 3.18.1-1ubuntu2 [182 kB]
Get:8 http://mirror.optus.net/ubuntu xenial/main amd64 libclutter-gtk-1.0-0 amd64 1.6.6-1 [24.5 kB]
Get:9 http://mirror.optus.net/ubuntu xenial/main amd64 libchamplain-0.12-0 amd64 0.12.12-1 [92.6 kB]
Get:10 http://mirror.optus.net/ubuntu xenial/main amd64 gir1.2-coglpango-1.0 amd64 1.22.0-1 [4,358 B]
Get:11 http://mirror.optus.net/ubuntu xenial/main amd64 libclutter-1.0-0 amd64 1.24.2-1 [534 kB]
Get:12 http://mirror.optus.net/ubuntu xenial/main amd64 libcogl20 amd64 1.22.0-1 [284 kB]
Get:13 http://mirror.optus.net/ubuntu xenial/main amd64 libclutter-gst-3.0-0 amd64 3.0.14-1 [54.1 kB]
Get:14 http://mirror.optus.net/ubuntu xenial/main amd64 libcogl-path20 amd64 1.22.0-1 [31.0 kB]
Get:15 http://mirror.optus.net/ubuntu xenial/main amd64 gir1.2-cogl-1.0 amd64 1.22.0-1 [31.6 kB]
Get:16 http://mirror.optus.net/ubuntu xenial/main amd64 libcogl-pango20 amd64 1.22.0-1 [15.0 kB]
Get:17 http://mirror.optus.net/ubuntu xenial/main amd64 libcheese8 amd64 3.18.1-2ubuntu1 [87.4 kB]
Get:18 http://mirror.optus.net/ubuntu xenial/main amd64 gstreamer1.0-clutter-3.0 amd64 3.0.14-1 [5,982 B]
Get:19 http://mirror.optus.net/ubuntu xenial/main amd64 libcheese-gtk25 amd64 3.18.1-2ubuntu1 [26.3 kB]
Get:20 http://mirror.optus.net/ubuntu xenial/main amd64 libtelepathy-glib0 amd64 0.24.1-1.1 [603 kB]
Get:21 http://mirror.optus.net/ubuntu xenial/main amd64 mcp-account-manager-uoa amd64 3.12.11-0ubuntu1 [134 kB]
Get:22 http://mirror.optus.net/ubuntu xenial/main amd64 account-plugin-salut amd64 3.12.11-0ubuntu1 [8,876 B]
Get:23 http://mirror.optus.net/ubuntu xenial/main amd64 account-plugin-jabber amd64 3.12.11-0ubuntu1 [8,856 B]
Get:24 http://mirror.optus.net/ubuntu xenial/main amd64 libclutter-gst-2.0-0 amd64 2.0.16-1 [36.6 kB]
Get:25 http://mirror.optus.net/ubuntu xenial/main amd64 empathy-common all 3.12.11-0ubuntu1 [1,514 kB]
Get:26 http://mirror.optus.net/ubuntu xenial/main amd64 account-plugin-aim amd64 3.12.11-0ubuntu1 [8,846 B]
Get:27 http://mirror.optus.net/ubuntu xenial/main amd64 empathy amd64 3.12.11-0ubuntu1 [646 kB]
Get:28 http://mirror.optus.net/ubuntu xenial/main amd64 account-plugin-yahoo amd64 3.12.11-0ubuntu1 [8,864 B]
Get:29 http://mirror.optus.net/ubuntu xenial/main amd64 gstreamer1.0-clutter amd64 2.0.16-1 [26.6 kB]
Get:30 http://mirror.optus.net/ubuntu xenial/main amd64 libimage-magick-q16-perl amd64 8:6.8.9.9-6 [110 kB]
Get:31 http://mirror.optus.net/ubuntu xenial/main amd64 libimage-magick-perl all 8:6.8.9.9-6 [63.1 kB]
Fetched 18.1 MB in 6s (2,942 kB/s)
Extracting templates from packages: 100%
(Reading database ... 1204200 files and directories currently installed.)
Preparing to unpack .../plymouth_0.9.2-3ubuntu8_amd64.deb ...
Unpacking plymouth (0.9.2-3ubuntu8) over (0.8.8-0ubuntu17.1) ...
dpkg: error processing archive /var/cache/apt/archives/plymouth_0.9.2-3ubuntu8_amd64.deb (--unpack):
 trying to overwrite '/usr/share/apport/package-hooks/source_plymouth.py', which is also in package libplymouth2:amd64 0.8.8-0ubuntu17.1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../libdevmapper1.02.1_2%3a1.02.110-1ubuntu2_amd64.deb ...
Unpacking libdevmapper1.02.1:amd64 (2:1.02.110-1ubuntu2) over (2:1.02.77-6ubuntu2) ...
Preparing to unpack .../libc-bin_2.21-0ubuntu5_amd64.deb ...
Unpacking libc-bin (2.21-0ubuntu5) over (2.19-0ubuntu6.6) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/plymouth_0.9.2-3ubuntu8_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

I think it was after that, I noticed that synaptic itself had been removed.

And the plymouth bug seems to stop any of this from working.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: plymouth 0.8.8-0ubuntu17.1
ProcVersionSignature: Ubuntu 3.13.0-68.111-generic 3.13.11-ckt27
Uname: Linux 3.13.0-68-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
Date: Tue Jan 5 12:42:33 2016
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DuplicateSignature: package:plymouth:0.8.8-0ubuntu17.1:trying to overwrite '/usr/share/apport/package-hooks/source_plymouth.py', which is also in package libplymouth2:amd64 0.8.8-0ubuntu17.1
ErrorMessage: trying to overwrite '/usr/share/apport/package-hooks/source_plymouth.py', which is also in package libplymouth2:amd64 0.8.8-0ubuntu17.1
InstallationDate: Installed on 2014-01-24 (710 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140123)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-68-generic root=UUID=c3e55a79-8e13-4001-b7b4-d73cc05b2443 ro quiet splash vt.handoff=7
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-68-generic root=UUID=c3e55a79-8e13-4001-b7b4-d73cc05b2443 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 dpkg 1.18.3ubuntu1
 apt 1.1.10
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Title: package plymouth 0.8.8-0ubuntu17.1 failed to install/upgrade: trying to overwrite '/usr/share/apport/package-hooks/source_plymouth.py', which is also in package libplymouth2:amd64 0.8.8-0ubuntu17.1
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/18/2013
dmi.bios.vendor: Intel Corp.
dmi.bios.version: WYLPT10H.86A.0018.2013.0918.2135
dmi.board.name: D34010WYK
dmi.board.vendor: Intel Corporation
dmi.board.version: H14771-302
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrWYLPT10H.86A.0018.2013.0918.2135:bd09/18/2013:svn:pn:pvr:rvnIntelCorporation:rnD34010WYK:rvrH14771-302:cvn:ct3:cvr:

LukeKendall (luke-zeta) wrote :
Steve Langasek (vorlon) wrote :

This doesn't appear to be a bug in plymouth, but in dpkg. The plymouth package in xenial (which is the one that was being installed - plymouth 0.9.2-3ubuntu8, not plymouth 0.8.8-0ubuntu17.1, despite what the autogenerated bug says) declares a Replaces: libplymouth2, which should cause its apport file to replace the one from libplymouth2 without error.

As an aside, I'm not sure what commands you ran within synaptic to get your system in this situation, but recovering from a manually-installed package's unsatisfiable dependencies should not involve installing packages from xenial onto a trusty system.

I'm not sure if there's anything more here that we can do to facilitate recovery now that your system is in this situation.

affects: plymouth (Ubuntu) → dpkg (Ubuntu)
Changed in dpkg (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dpkg (Ubuntu):
status: New → Confirmed
Haw Loeung (hloeung) wrote :

The Xenial version doesn't seem to declare "Replaces: libplymouth2":

| ubuntu@hloeung:~/plymouth-0.9.2$ grep -i Replaces debian/control
| Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
| Replaces: plymouth (<< 0.9.2-1~)
| Replaces: plymouth-dev (<< 0.9.2-1~)
| Replaces:
| ubuntu@hloeung:~/plymouth-0.9.2$ head debian/changelog
| plymouth (0.9.2-3ubuntu8) xenial; urgency=medium
|
| * debian/local/plymouth.hook:
| - handle having the minimum dependency packages installed (no font)
| when setting either no graphical theme or ubuntu-text one as default.
|
| -- Didier Roche <email address hidden> Wed, 16 Dec 2015 15:42:00 +0100
|

The Wily version seems to have it, http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/wily/plymouth/wily/view/head:/debian/control#L43

Haw Loeung (hloeung) wrote :

I replaced:

| Package: plymouth
| ...
| Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)

With:

| Package: plymouth
| ...
| Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~), libplymouth2

And that seems to fix things for me. Note that this is upgrading a Trusty instance in Canonistack to Xenial.

LukeKendall (luke-zeta) wrote :
Download full text (4.2 KiB)

Regarding the comment:

"As an aside, I'm not sure what commands you ran within synaptic to get your system in this situation, but recovering from a manually-installed package's unsatisfiable dependencies should not involve installing packages from xenial onto a trusty system."

I installed the .deb for gnome-inform7 from http://sourceforge.net/projects/gnome-inform7/ - although I can't see anything that says it is for a specific Debian/Ubuntu release. Could that have been produced (a year ago) for a Xenial release?

Other than that, all I did was ask Synaptic to mark all installed packages that had updates available, and then to install them. I certainly didn't poke about in the guts and do anything weird.

Here are the exact commands I used:

# dpkg -i gnome-inform7_6L38-0ubuntu1_i386.deb
# apt-get update
# apt-get check
# apt-get install empathy
# apt-get install libqt5webkit5-qmlwebkitplugin
# apt-get -f install
# synaptic
# apt-get install synaptic
# apt-get -f install

BTW, the apt-get check resulted in this:

# apt-get check
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 account-plugin-aim : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                      Depends: mcp-account-manager-uoa but it is not installed
 account-plugin-jabber : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                         Depends: mcp-account-manager-uoa but it is not installed
 account-plugin-salut : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not installed
                        Depends: mcp-account-manager-uoa but it is not installed
[...]

Which is why I then tried to apt-get install empathy, but it gave me warnings like this:

# apt-get install empathy
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 account-plugin-aim : Depends: empathy (= 3.8.6-0ubuntu9.2) but 3.12.11-0ubuntu1 is to be installed
                      Depends: mcp-account-manager-uoa but it is not going to be installed
[...]
 vlc-nox : Depends: libgnutls28 (>= 3.2.10-0) but it is not installed
 zeitgeist-core : Depends: libxapian22 but it is not installed
E: Unmet dependencies. Try using -f.

I tried this, just to see what would happen if I tried t oupdate one of the missing packages:

# apt-get install libqt5webkit5-qmlwebkitplugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 account-plugin-aim : Depends: empathy (= 3.8.6-0ubuntu9.2) but it is not going to be installed
[...]

Then tried:

# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  dconf-gsettings-backend:i386 gcc-4.8-base:i386 libcgman...

Read more...

On Wed, Jan 06, 2016 at 09:51:03AM -0000, Haw Loeung wrote:
> I replaced:

> | Package: plymouth
> | ...
> | Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)

> With:

> | Package: plymouth
> | ...
> | Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~), libplymouth2

> And that seems to fix things for me. Note that this is upgrading a
> Trusty instance in Canonistack to Xenial.

Ah. So when I checked xenial to make sure this Replaces was still present,
I apparently was looking at the wrong version of plymouth. Confirmed, this
is a regression in the xenial plymouth package.

Steve Langasek (vorlon) on 2016-01-06
affects: dpkg (Ubuntu) → plymouth (Ubuntu)
Changed in plymouth (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: High → Critical
Steve Langasek (vorlon) wrote :

On Wed, Jan 06, 2016 at 01:33:30PM -0000, LukeKendall wrote:
> I installed the .deb for gnome-inform7 from
> http://sourceforge.net/projects/gnome-inform7/ - although I can't see
> anything that says it is for a specific Debian/Ubuntu release. Could
> that have been produced (a year ago) for a Xenial release?

No, it could not have been. Furthermore, installing a package with dpkg
would not cause changes to your system config to cause it to pull from
xenial instead of trusty.

> Other than that, all I did was ask Synaptic to mark all installed
> packages that had updates available, and then to install them. I
> certainly didn't poke about in the guts and do anything weird.

> Here are the exact commands I used:

> # dpkg -i gnome-inform7_6L38-0ubuntu1_i386.deb
> # apt-get update
> # apt-get check
> # apt-get install empathy
> # apt-get install libqt5webkit5-qmlwebkitplugin
> # apt-get -f install
> # synaptic
> # apt-get install synaptic
> # apt-get -f install

This implies that at some point prior to this, you had updated the config to
pull from xenial but had not applied the upgrade to xenial.

> From what people have said here, it sounds like Xenial is a later
> release than Trusty, and somehow my Ubuntu 14.04 started installing
> packages from Xenial, is that it? Certainly, that was not my intention.

Yes, that's correct. Xenial /will be/ 16.04, but it has not been released
yet.

> Things seems to be largely okay (though Samba has begun segfaulting). I
> certainly didn't force any updates, AFAIK, and saw no warnings about
> anything I was doing as being not recommended, so I'm still a bit confused
> about
> a) Just what started the problem
> b) How dangerous a situation I'm in now, and
> c) What I should do to try to recover.

I don't know any reliable way to recover from this without a full reinstall
of Ubuntu 14.04.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.2-3ubuntu9

---------------
plymouth (0.9.2-3ubuntu9) xenial; urgency=medium

  * Add missing replaces due to apport hook move (LP: #1531070)

 -- Didier Roche <email address hidden> Thu, 07 Jan 2016 08:12:20 +0100

Changed in plymouth (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers